---
updatedAt: 2025-09-10T20:59:53.000Z
agentTools:
  projectIndex: https://shipcars.readme.io/llms.txt
---

# Retrieve vehicle makes

Returns a list of the vehicle makes in the database. Using the `year` query parameter, you can optionally filter the results by manufacture year.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Rate Engine",
    "description": "Ship.Cars Rate Engine API Documentation",
    "contact": {
      "url": "https://ship.cars",
      "email": "support@ship.cars"
    },
    "version": "1.0.0"
  },
  "components": {
    "securitySchemes": {
      "QueryToken": {
        "type": "apiKey",
        "in": "query",
        "name": "token"
      }
    }
  },
  "servers": [
    {
      "url": "https://rateengine.ship.cars/v2"
    }
  ],
  "paths": {
    "/vehicles/makes/": {
      "get": {
        "tags": [
          "Vehicles"
        ],
        "summary": "Retrieve vehicle makes",
        "description": "Returns a list of the vehicle makes in the database. Using the `year` query parameter, you can optionally filter the results by manufacture year.",
        "parameters": [
          {
            "name": "year",
            "in": "query",
            "description": "Filter the returned results by vehicle manufacture year.",
            "schema": {
              "minimum": 1918,
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "uniqueItems": true,
                  "type": "array",
                  "description": "List of vehicle makes.",
                  "example": [
                    {
                      "make": "Acura"
                    },
                    {
                      "make": "Alfa Romeo"
                    },
                    {
                      "make": "Aston Martin"
                    },
                    {
                      "make": "Audi"
                    },
                    {
                      "make": "Bentley"
                    },
                    {
                      "make": "BMW"
                    },
                    {
                      "make": "Buick"
                    },
                    {
                      "make": "Cadillac"
                    },
                    {
                      "make": "Chevrolet"
                    },
                    {
                      "make": "Chrysler"
                    },
                    {
                      "make": "Dodge"
                    },
                    {
                      "make": "Ferrari"
                    },
                    {
                      "make": "FIAT"
                    },
                    {
                      "make": "Ford"
                    },
                    {
                      "make": "Genesis"
                    },
                    {
                      "make": "GMC"
                    },
                    {
                      "make": "Honda"
                    },
                    {
                      "make": "Hyundai"
                    },
                    {
                      "make": "INFINITI"
                    },
                    {
                      "make": "Jaguar"
                    },
                    {
                      "make": "Jeep"
                    },
                    {
                      "make": "Kia"
                    },
                    {
                      "make": "Lamborghini"
                    },
                    {
                      "make": "Land Rover"
                    },
                    {
                      "make": "Lexus"
                    },
                    {
                      "make": "Lincoln"
                    },
                    {
                      "make": "Lotus"
                    },
                    {
                      "make": "Maserati"
                    },
                    {
                      "make": "Mazda"
                    },
                    {
                      "make": "McLaren"
                    },
                    {
                      "make": "Mercedes-Benz"
                    },
                    {
                      "make": "MINI"
                    },
                    {
                      "make": "Mitsubishi"
                    },
                    {
                      "make": "Nissan"
                    },
                    {
                      "make": "Porsche"
                    },
                    {
                      "make": "Ram"
                    },
                    {
                      "make": "Rolls-Royce"
                    },
                    {
                      "make": "Smart"
                    },
                    {
                      "make": "Subaru"
                    },
                    {
                      "make": "Tesla"
                    },
                    {
                      "make": "Toyota"
                    },
                    {
                      "make": "Volkswagen"
                    },
                    {
                      "make": "Volvo"
                    }
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "make": {
                        "type": "string",
                        "description": "Vehicle make."
                      }
                    },
                    "description": "List of vehicle makes."
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid or missing token",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "detail": {
                      "type": "string",
                      "description": "Detailed message describing the reason for the error."
                    }
                  }
                },
                "example": {
                  "detail": "Invalid token."
                }
              }
            }
          }
        },
        "security": [
          {
            "QueryToken": []
          }
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```